> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# font

> List provider for availablefonts table.

## "font" MDO List

List provider for availablefonts table.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FontProvider">FontProvider</see> class.
The name of the MDO list is 'font'.

## Additional Attributes

| Description           | Name        | Example Value |
| --------------------- | ----------- | ------------- |
| Include deleted fonts | showDeleted | true          |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/font
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("font", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                 | StyleHint | ExtraInfo                        |
| -- | -------------------- | --------- | -------------------------------- |
| 44 | Arial                |           |                                  |
| 45 | Arial Black          |           |                                  |
| 46 | Arial Narrow         |           |                                  |
| 47 | Arvo                 |           | /fonts/arvo/arvo.css             |
| 48 | Bodoni               |           |                                  |
| 49 | Bookman Old Style    |           |                                  |
| 50 | Bradley Hand ITC     |           |                                  |
| 51 | Brush Script MT      |           |                                  |
| 52 | Calibri              |           |                                  |
| 53 | Century Schoolbook   |           |                                  |
| 54 | Comic Sans MS        |           |                                  |
| 55 | Consolas             |           |                                  |
| 56 | Courier New          |           |                                  |
| 57 | Crimson Pro          |           | /fonts/crimsonpro/crimsonpro.css |
| 58 | Edwardian Script     |           |                                  |
| 59 | Franklin Gothic Book |           |                                  |
| 60 | Georgia              |           |                                  |
| 61 | Gill Sans            |           |                                  |
| 62 | Impact               |           |                                  |
| 63 | Inter                |           | /fonts/inter/inter.css           |
| 64 | Lato                 |           | /fonts/lato/lato.css             |

## Related MDO Lists

* "fontheadings"
* "fontheadingswithallitem"
* "fontheadingswithallitemwithnoselection"
* "fontheadingswithnoselection"
* "fontwithallitem"
* "fontwithallitemwithnoselection"
* "fontwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.ChatWidgetSettings](/en/api/reference/webapi/SuperOffice.WebApi.Data.ChatWidgetSettings.md)
- [Manage fonts for forms](/en/marketing/forms/admin/manage-fonts.md)
- [Save Available Font](/en/api/reference/restful/agent/marketing_agent/save-available-font.md)
- [available_fonts table](/en/database/tables/available-fonts.md)
- [Get Available Font](/en/api/reference/restful/agent/marketing_agent/get-available-font.md)
- [Set Font Rank](/en/api/reference/restful/agent/marketing_agent/set-font-rank.md)
